Page MenuHomePhabricator

Meta-Wiki mobile site has errant trademark symbol (™) in footer
Closed, ResolvedPublic

Description

When I visit http://meta.m.wikimedia.org/wiki/User:Sue_Gardner/Narrowing_focus, I see "Meta ™" in the footer. The trademark symbol is silly and shouldn't be there.


Version: unspecified
Severity: enhancement
URL: http://meta.m.wikimedia.org/wiki/User:Sue_Gardner/Narrowing_focus

Details

Reference
bz41141

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:57 AM
bzimport set Reference to bz41141.
bzimport added a subscriber: Unknown Object (MLST).

God that auto-link mangling is bad. At least I can get the URL from the e-mail.

I'm unclear on the purpose of the MobileFrontend extension at this point. Is it intended to be a generic mobile frontend for any MediaWiki installation or is it a Wikimedia-specific extension designed for a mobile frontend for Wikimedia wikis?

The distinction becomes relevant when evaluating how much sense it ever made to hardcode a ™ in the code.

MobileFrontend is driven by the needs of Wikimedia Foundation sites. We avoid making it too WMF-centric where possible so it's usable/adaptable for others, but we may sometimes introduce WMF-isms without being able to immediately replace them with a more configurable/abstracted approach. Patchsets are appreciated.

(In reply to comment #3)

MobileFrontend is driven by the needs of Wikimedia Foundation sites. We avoid
making it too WMF-centric where possible so it's usable/adaptable for others,
but we may sometimes introduce WMF-isms without being able to immediately
replace them with a more configurable/abstracted approach. Patchsets are
appreciated.

(In reply to comment #2)

The distinction becomes relevant when evaluating how much sense it ever made to
hardcode a ™ in the code.

Even WMF doesn't have a ™ or ® on every single site name.

This seems redundant anyway, we don't do it on desktop either (I know that doesn't mean by definition it isn't relevant for mobile, but it shows that if it was relevant, it would be provided in a generic way, not hardcoded in mobile first).

So lets remove it from mobile. There is actually (almost) code for this in place already:

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/MobileFrontend.git;a=blob;f=includes/skins/SkinMobile.php;h=2d7f7536def6fd55da7edc5932fa32e06bfd7520;hb=HEAD#l174

$wgMFCustomLogos['copyright'], just turn that from a url string into an associative array with img-src and text. Then show the text if no img-src, and show img-src with alt=text otherwise.

And if wgMFCustomLogos is not set (default) don't show ™ or ® (instead of defaulting to ™).

Also, on nl.m.wikipedia.org, for example, it shows Wikipedia ™ whereas on English Wikipedia it shows Wikipedia ®.

brion added a comment.Oct 25 2012, 9:21 PM

https://gerrit.wikimedia.org/r/30077 removes the TM and (R) chars. If they're needed on individual sites, they can be added by customizing the message surely?
Or by using the image, which we do on Wikipedia...

I implemented this and there was a legal reason this was in place for Wikipedia.

I was told English Wikipedia should show ® whilst any other Wikipedia project should show ™ - please ensure this remains the same on the Wikipedia.org site.

brion added a comment.Oct 25 2012, 9:57 PM

I've sent an email to legal (CC'd mobile-tech) to check on this.

Potentially we might want a switch to append the TM, if it can actually be used reliably. (I'd be more wary of claiming trademark status on things that may not be trademarked, versus failing to stick a TM somewhere.)

content hidden as private in Bugzilla

(In reply to comment #8)

I've sent an email to legal (CC'd mobile-tech) to check on this.

Potentially we might want a switch to append the TM, if it can actually be used
reliably

.. from configuration, of course. Not inside MobileFrontend, again.

(In reply to comment #7)

I implemented this and there was a legal reason this was in place for
Wikipedia.

I was told English Wikipedia should show ® whilst any other Wikipedia project
should show ™ - please ensure this remains the same on the Wikipedia.org site.

And the legal reason only applies to the footer on mobile? Not to the footer on desktop, and not to the logo on mobile or desktop?

Afaik WMF doesn't have trademarks outside the US, so why would it need ™ on non-English Wikipedias? All services are primarily hosted in the US and subject to US law. And all Wikipedia editions (in desktop
skins that is) the wmf-copyright message in the footer is the same (on English Wikipedia and other languages alike):

"Wikipedia® is a registered trademark of the Wikimedia Foundation, Inc., a
non-profit organization."

Besides, Wikipedia editions aren't tied to a country but to a language. If any country, they are tied to the US.

We dont show ™ anywhere afaik, only in the footer of non-Wikipedia mobile sites.

I'm curious what the (intended) legal pattern was/is.

Lets not spend too much time going back and forth about the legal rules when we already have really smart people at the WMF who can answer this quick. I've mailed both Michelle and Kelly to weigh in on this.

brion added a comment.Oct 31 2012, 6:44 PM

Current behavior since yesterday's deployment is to remove the TM from the text /(R) from alt text, but apparently we kinda want them in production. At least in many places.

Change to MobileFrontend to add config var:
https://gerrit.wikimedia.org/r/#/c/31039/

Change to config to set the var:
https://gerrit.wikimedia.org/r/31044

We'll figure out what to do about Meta specifically later. :)

At a quick glance, I think that is a sane approach (will test and merge shortly).

For folks not privy to the correspondence with the legal team, here are the options they gave:

"(1) We can put (R) on all wordmarks and logos (except the Wiktionary logos) in their non-localized versions for the US and EU and put (TM) on all others.

(2) We can leave out any indication of trademark designations at all.

(3) We can leave out any trademark designations and add a sentence at the bottom of a project page (perhaps where the CC-BY-SA and Terms of Use info is) stating that "The trademarks and logos of the Wikimedia Foundation are not included under the terms of this Creative Commons license and are subject to the terms of the Trademark Policy." or "[Insert applicable project name] and its accompanying logos are pending trademark registration or are registered trademarks of the Wikimedia Foundation and are subject to the terms of the Trademark Policy."

(4) We can leave out any trademark designations and link to the Trademark Policy where we have links to the Privacy Policy, About [Project Name], etc. The Trademark Policy will be going through a re-write over the next year and many of these issues will be better laid out there.

Of all of these options, I strongly urge you to avoid option #2 as it gives no notice of trademark claims to the general public, and could thereby confuse users into believing that the marks can be freely reused in a manner similar to other project content. Option #2 similarly leaves our marks open to the possibility of being weakened due lack of such notice."

So, a while back, the previous product manager for the mobile team opted for #1 (which is why things are the way they are), and why I think Brion's solution is a good interim solution. Until there is a clear path forward, I think we should implement Brion's change which will allow for having TM/(R) show up based on a site's configuration settings (off by default), but leave it enabled on the WMF sites for now.

I see this code is merged but http://meta.m.wikimedia.org/wiki/User:Sue_Gardner/Narrowing_focus still shows Meta ™ - what else needs to be done?

brion added a comment.Nov 10 2012, 4:24 AM

To disable it on meta, we'll need to switch the config switch for it.

(In reply to comment #16)

To disable it on meta, we'll need to switch the config switch for it.

So this basically requires doing something like...

if dbname == 'metawiki' {

$wgMFTrademarkSitename = false;

}

... in CommonSettings.php or InitialiseSettings.php? Is that all that's needed at this point to resolve this bug?

(In reply to comment #17)

(In reply to comment #16)
... in CommonSettings.php or InitialiseSettings.php? Is that all that's needed
at this point to resolve this bug?

Almost - but before we do that, we still need to make a decision about how to handle the legal concerns (https://bugzilla.wikimedia.org/show_bug.cgi?id=41141#c14). Current behavior is option #1. If this is seriously of concern, options #3 and #4 are more preferable than #2.

I've cc'd the product team folks (Howie and Maryana) who have been helping out with mobile recently to weigh in.

How would you like to move forward on this Maryana / Howie? Would be good to close up this bug.

We already have links to the privacy policy and About:Project in the footer. It sounds like we should just stick to switching the config on Meta and stay with option #1 as outlined by Arthur above. We'll have some navigation redesign work in upcoming iterations, and at that point we can also revisit what goes into the footer. Legal isn't beating down our door to make any drastic changes, which makes me think this isn't a dire issue, just a suboptimal-but-acceptable solution for the time being :)

What else is needed to get this bug resolved? We're coming up on six months and https://meta.m.wikimedia.org/wiki/Main_Page still shows "Meta ™" in the footer. This makes us all look like idiots.

Leave this to me. Fell off my radar. I'll attempt a fix... shouldn't be too hard.

Related URL: https://gerrit.wikimedia.org/r/60885 (Gerrit Change I96417233cb475a4f4d425f2ea709e2365ad7cc6f)

Above takes care of meta. We should remove trademark on a case by case basis.

According to legal, the Meta wordmark is the only one we haven't applied to register. All other wordmarks should have either the TM or R.

This was fixed last week :)

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 6:12 PM